## net.sourceforge.pmd.symboltable
Class TypeSet

    java.lang.Object
      net.sourceforge.pmd.symboltable.TypeSet

public class TypeSet
extends java.lang.Object

Keeps track of the types encountered in a ASTCompilationUnit

Nested Class Summary
`static class` `TypeSet.CurrentPackageResolver`
`static class` `TypeSet.ExplicitImportResolver`
`static class` `TypeSet.FullyQualifiedNameResolver`
`static class` `TypeSet.ImplicitImportResolver`
`static class` `TypeSet.ImportOnDemandResolver`
`static class` `TypeSet.PrimitiveTypeResolver`
`static interface` `TypeSet.Resolver` TODO should Resolver provide a canResolve() and a resolve()? Requiring 2 calls seems clunky...
`static class` `TypeSet.VoidResolver`

Constructor Summary
`TypeSet()`

Method Summary
`void` `addImport(java.lang.String importString)`
`java.lang.Class` `findClass(java.lang.String name)`
`java.lang.String` `getASTCompilationUnitPackage()`
`int` `getImportsCount()`
`void` `setASTCompilationUnitPackage(java.lang.String pkg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeSet

    public TypeSet()

Method Detail

### setASTCompilationUnitPackage

    public void setASTCompilationUnitPackage(java.lang.String pkg)

### getASTCompilationUnitPackage

    public java.lang.String getASTCompilationUnitPackage()

### addImport

    public void addImport(java.lang.String importString)

### getImportsCount

    public int getImportsCount()

### findClass

    public java.lang.Class findClass(java.lang.String name)
                              throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

Copyright © 2002-2006 InfoEther. All Rights Reserved.